---
updatedAt: 2025-06-11T21:52:30.000Z
agentTools:
  projectIndex: https://sterling.readme.io/llms.txt
---

# /screenings/{id}/report-links

This provides a one-time screening report link.

This request provides an option to view the Screening report and it is a one-time link

> 📘
>
> This request will generate a tokenized, one-time use link that will expire without use after 10 minutes.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "core-references",
    "version": "2"
  },
  "servers": [
    {
      "url": "https://api-int.kennect.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/screenings/{id}/report-links": {
      "post": {
        "summary": "/screenings/{id}/report-links",
        "description": "This provides a one-time screening report link.",
        "operationId": "screeningsidreport-links",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Unique identifier of the screening.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "201": {
            "description": "201",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"pdf\": \"https://api-int.kennect.com/v2/screenings/002000000123456/report.pdf?token=token-hash\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "pdf": {
                      "type": "string",
                      "example": "https://api-int.kennect.com/v2/screenings/002000000123456/report.pdf?token=token-hash"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -X POST \\\n  'https://api-int.kennect.com/v2/screenings/002000000123456/report-links' "
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```